Ubuntu

“zope.deprecation” package in Ubuntu

python-zope.deprecation: Zope Deprecation Infrastructure

This package has 0 new bugs and 0 open questions.

Package information

Maintainer:
Fabio Tranchitella
Urgency:*
Low Urgency
Component:*
main
Architectures:*
all
Latest upload:
4.0.2-1

*actual publishing details may vary in this distribution, these are just the package defaults.

Upstream connections

The Zope Toolkitzope.deprecationtrunk

When we started working on Zope 3.1, we noticed that the hardest part of the development process was to ensure backward-compatibility and correctly mark deprecated modules, classes, functions, methods and properties. This package provides a simple function called 'deprecated(names, reason)' to deprecate the previously mentioned Python objects.

Bug supervisor: no
Bug tracker: yes
Branch: yes

There are no registered releases for the zope.deprecation ⇒ trunk.

The Trusty Tahr (pre-release freeze)
4.0.2-1 release (universe) 2013-10-23
The Saucy Salamander (current stable release)
4.0.0-1 release (universe) 2013-04-25
The Quantal Quetzal (supported)
4.0.0-1 release (universe) 2012-06-11
The Precise Pangolin (supported)
3.5.1-1 release (universe) 2012-04-06